Page MenuHomePhabricator

Extensions that should really be core functionality (tracking)
Open, MediumPublic

Description

There are numerous extensions, and they are increasing in number, that really should be folded back into core MediaWiki functionality


URL: http://www.mediawiki.org/wiki/List_of_extensions_to_be_merged_to_the_core
See Also: T31145: Core features that shouldn't be in core (tracking)

Details

Reference
bz26751

Related Objects

StatusAssignedTask
OpenNone
ResolvedLegoktm
ResolvedUltrasonicNXT
OpenNone
OpenNone
OpenSethakill
DeclinedNone
OpenNone
ResolvedNone
Resolved Spage
Resolved Spage
ResolvedNone
ResolvedKrinkle
Resolvedphuedx
StalledNone
Resolved Mattflaschen-WMF
OpenNone
Resolvedori
Resolvedmatmarex
ResolvedJdlrobson
ResolvedSophivorus
Resolvedmatmarex
Declinedmatmarex
ResolvedNone
Resolvedmatmarex
Resolvedmatmarex
Resolvedmatmarex
ResolvedNone
Resolvedmatmarex
OpenNone
OpenTTO
ResolvedLegoktm
DeclinedNone
ResolvedMarkTraceur
DeclinedKrinkle
ResolvedTiHoX1
DeclinedNone
ResolvedAnomie
ResolvedAnomie
ResolvedAnomie
ResolvedAnomie
OpenNone
Resolvedmatmarex
OpenNone
ResolvedAnomie
Resolvedmatmarex
ResolvedAnomie
Resolvedmatmarex
OpenNone
OpenNone
DeclinedNone
OpenNone
OpenNone
OpenNone
OpenNone

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 21 2014, 11:23 PM
bzimport set Reference to bz26751.
bzimport added a subscriber: Unknown Object (MLST).
Reedy created this task.Jan 15 2011, 10:38 PM

I'm not sure the answer is to increase core functionality, but it might be.

Reedy added a comment.Mar 4 2011, 11:14 AM

(In reply to comment #1)

I'm not sure the answer is to increase core functionality, but it might be.

It's very much being selective. Stuff core MW should have, eg Renaming Users...

Aklapper changed the status of subtask T91872: Include WikiEditor in core from Stalled to Open.Mar 10 2015, 11:04 AM
Liuxinyu970226 set Security to None.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 21 2015, 4:24 AM

Would it be useful to add ParserFunctions to this list?

Anomie added a subscriber: Anomie.Dec 21 2015, 2:37 PM
matej_suchanek removed a subscriber: wikibugs-l-list.